Description

When I upload my plugin, if it misses repo, homepage, tracker, there are warning messages displayed, but they do not indicate which

section of the ini these entries should be made.

Also, Gary's plugin builder adds a 'website' entry to the metadata.txt - should this in fact be 'homepage' then?

Perhaps it would be nice to have a sample completed metadata file displayed that the user can see what a 'proper' one should look like?

Regards

Tim

History

#1 - 2011-12-14 12:10 AM - Alessandro Pasotti

There is just one single section in the metadata.txt, dead simple: [general]

And yes, there is clearly a serious communication issue, Martin and I (plus some others on the ML) we discussed the new metadata, but the plugin builder

was not updated accordingly, so we are out of sync.

Most of my messages on the ML regarding those changes passed under silence, so I assume everybody agreed.

The documentation is here:

https://github.com/qgis/qgis-django/blob/master/qgis/plugins/docs/introduction.rst

there is a full example there.

Also, here https://github.com/qgis/qgis-django/tree/master/qgis/plugins/tests/HelloWorld are some test plugins I used while developing (README is still

incomplete though), full metadata example is here:

https://github.com/qgis/qgis-django/blob/master/qgis/plugins/tests/HelloWorld/1.3-full-md-no-init/HelloWorld/metadata.txt

I would prefer adding a link to the documentation rather than hard-code metadata examples in the plugin app.

#2 - 2011-12-14 07:04 AM - Gary Sherman

No communication issue---just a matter of time. I will release a new version of the builder today.

#3 - 2011-12-19 09:09 AM - Alessandro Pasotti
- Status changed from Open to Resolved

#4 - 2012-05-10 08:34 AM - Paolo Cavallini

- Status changed from Resolved to Closed
